Subject: [alpine-devel] gcc-4.6 hits edge/main

From: Natanael Copa <[email-masked]>
Date: Thu, 18 Aug 2011 15:54:44 +0200

Hi,

Just a short heads-up, I'm pushing gcc-4.6 to edge/main. I have been
using in my dev env for some weeks so I think it will be ok.

Earlier version of gcc was able to autodetect __KERNEL__ and if found
it disabled PIE. This version does not do so (due to new way of
handling specs or something).

This means that you'll need to manually disable PIE when compiling
kernel code. It's done like this:

   export GCC_SPECS=/usr/share/gcc/hardenednopie.specs

Other news is the new subpackage gcc-go which gives us gccgo!

Happy hacking!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---